<?php
session_start();
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio;
include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo;
include_once($ruta."class/chofer.php");
$chofer=new chofer;
include_once($ruta."class/admejecutivo.php");
$admejecutivo=new admejecutivo;
include_once($ruta."class/usuario.php");
$usuario=new usuario;
include_once($ruta."funciones/funciones.php");
extract($_POST);
$tipoeje=142;
if ($idflag==1) 
{
	$existe=$persona->mostrarTodo("carnet='".$idcarnet."'");
	$idnombre=strtoupper($idnombre);
	$idpaterno=strtoupper($idpaterno);
	$idmaterno=strtoupper($idmaterno);
	$idocupacion=strtoupper($idocupacion);
	if (count($existe)==0){
		$valores=array(
			"carnet"=>"'$idcarnet'",
			"expedido"=>"'$idexp'",
			"nombre"=>"'$idnombre'",
			"paterno"=>"'$idpaterno'",
			"materno"=>"'$idmaterno'",
			"nacimiento"=>"'$idnacimiento'",
			"email"=>"'$idemail'",
			"celular"=>"'$idcelular'",
			"idsexo"=>"'$idsexo'",
			"ocupacion"=>"'$idocupacion'",
			"tipopersona"=>"'CHOFER'"
		 );	
		if($persona->insertar($valores))
		{
			$dpersona=$persona->mostrarUltimo("carnet='".$idcarnet."'");
			$idp=$dpersona['idpersona'];

			$valoresD=array(
			    "idpersona"=>"'$idp'",
			    "idbarrio"=>"'$idzona'",
			    "nombre"=>"'$iddireccion'",
			    "telefono"=>"'$idfono'"
			  ); 
					if($domicilio->insertar($valoresD))
					{
									$valorGru=array(
												    "idpersona"=>"'$idp'",
												    "idgrupo"=>"'$idgrupo1'",
												    "estado"=>"'1'"
												  ); 
								if($personagrupo->insertar($valorGru))
								{
									//registrar EJECUTIVO
			
									$idfechaingreso=date('Y-m-d');
									$valores=array(
										"idpersona"=>"'$idp'",
										"idtipo"=>"'$tipoeje'",
										"fechaingreso"=>"'$idfechaingreso'",
										"estado"=>'1',
										"idsede"=>"'1'"
										//"referenciaper"=>"'$idrefper'"
									);	
									$admejecutivo->insertar($valores);
									$dejecutivo=$admejecutivo->mostrarUltimo("idpersona=".$idp." and idtipo=".$tipoeje);
									$idadmejecutivo=$dejecutivo['idadmejecutivo'];

								//REGISTRAR CHOFER	
									$valoresDOC=array(
										"idadmejecutivo"=>"'$idadmejecutivo'",
										"estado"=>"'1'"
									);	
									$chofer->insertar($valoresDOC);

								//REGISTRAR USUARIO
								   $idpass1=$idcarnet;
								   $idusuario=$idcarnet;
								   $idpass1=md5(e($idpass1));
								   $idrol=33; //ROL DE CHOFER
									//
									$valoresUS=array(
										"idpersona"=>"'$idp'",
										"idadmejecutivo"=>"'0'",
										"usuario"=>"'$idusuario'",
										"pass"=>"'$idpass1'",
										"idrol"=>"'$idrol'"
									);	
									$usuario->insertar($valoresUS);
									//-----------------------------------------
									?>
										<script type="text/javascript">
										swal({
											title: "Exito !!!",
											text: "Asignado correctamente al grupo",
											type: "success",
											showCancelButton: false,
											confirmButtonColor: "#021e65",
											confirmButtonText: "OK",
											closeOnConfirm: false
								          }, function () {
											location.reload();
								          });
										</script>
									<?php
								}else{
										sweetAlert("Error", "NO SE REGISTRO", "error");

								}
						}else{
							?>
								<script type="text/javascript">
									sweetAlert("Error", "No registrado", "error");
								</script>
							<?php
						}

			
		}else{
			?>
				<script type="text/javascript">
					sweetAlert("Error", "No se pudo realizar la operacion", "error");
				</script>
			<?php
		 }
	 }else{
		?>
			<script type="text/javascript">
				sweetAlert("Error", "La persona ya se encuentra registrada!", "error");
			</script>
		<?php
	}
}
if ($idflag==2) 
{
	$valorGru=array(
				    "idpersona"=>"'$idpersonaImp'",
				    "idgrupo"=>"'$idgrupo1'",
				    "estado"=>"'1'"
				  ); 
	if($personagrupo->insertar($valorGru))
	{
		?>
			<script type="text/javascript">
			swal({
				title: "Exito !!!",
				text: "Asignado correctamente al grupo",
				type: "success",
				showCancelButton: false,
				confirmButtonColor: "#28e29e",
				confirmButtonText: "OK",
				closeOnConfirm: false
	          }, function () {
				location.reload();
	          });
			</script>
		<?php
	}else{
			sweetAlert("Error", "NO SE REGISTRO", "error");

	}
}

?>